summaryrefslogtreecommitdiffstats
path: root/system/wine/wine.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/wine/wine.SlackBuild')
-rw-r--r--system/wine/wine.SlackBuild42
1 files changed, 26 insertions, 16 deletions
diff --git a/system/wine/wine.SlackBuild b/system/wine/wine.SlackBuild
index b9a34ecb79..3f11c641e7 100644
--- a/system/wine/wine.SlackBuild
+++ b/system/wine/wine.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for wine
-# Copyright 2006-2008 Robby Workman Northport, AL, USA
+# Copyright 2006-2009 Robby Workman Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wine
-VERSION=1.0.1
+VERSION=1.1.17
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,10 +33,12 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# If you have a video card that supports hardware accelerated OpenGL,
-# then set the variable below to "YES" - otherwise, "NO"
-# This can be specified on the command line when calling the build script:
-# OPENGL=NO ./wine.SlackBuild
+# Some user reports indicate the wine and IE don't get along
+# always, and that this might fix it. The wine team doesn't
+# agree that it's the right thing to do, but it's your call.
+IEFIX=${IEFIX:-NO}
+# If your video card does not support hardware accelerated OpenGL,
+# the run the script like: OPENGL=NO ./wine.SlackBuild
OPENGL=${OPENGL:-YES}
if [ "$ARCH" = "i486" ]; then
@@ -62,11 +64,16 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# If IEFIX != NO above, then reverse the patch
+if [ "$IEFIX" != "NO" ]; then
+ patch -p1 -R --verbose < $CWD/IE_fix_maybe.patch
+fi
+
# If OPENGL=YES above, then enable opengl; otherwise, disable it.
if [ "$OPENGL" = "YES" ]; then
- do_opengl="en"
+ do_opengl="with"
else
- do_opengl="dis"
+ do_opengl="without"
fi
CFLAGS="$SLKCFLAGS" \
@@ -75,26 +82,29 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
- --with-x \
- --disable-debug \
- --${do_opengl}able-opengl \
+ --${do_opengl}-opengl \
--build=$ARCH-slackware-linux
make depend
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ANNOUNCE AUTHORS COPYING.LIB LICENSE* README VERSION \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ANNOUNCE AUTHORS COPYING.LIB LICENSE* README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install